Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 189309 - Review Request: raptor
Summary: Review Request: raptor
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT 189313 189315
TreeView+ depends on / blocked
 
Reported: 2006-04-19 02:09 UTC by Anthony Green
Modified: 2008-04-14 19:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-27 14:44:37 UTC
Type: ---
Embargoed:
kevin: fedora-cvs+


Attachments (Terms of Use)
some spec fixes (deleted)
2006-04-19 11:36 UTC, Michael Schwendt
no flags Details | Diff
patch against raptor-1.4.8 (deleted)
2006-04-23 20:50 UTC, Michael Schwendt
no flags Details | Diff
a patch for raptor-config (deleted)
2006-04-26 22:26 UTC, Michael Schwendt
no flags Details | Diff

Description Anthony Green 2006-04-19 02:09:19 UTC
Spec URL: http://people.redhat.com/green/FE/FC5/raptor.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/raptor-1.4.8-2.src.rpm
Description: 
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

Ardour is dependent on this package.  The spec file is based on a very old planet ccrma spec file.

Comment 1 Michael Schwendt 2006-04-19 11:36:43 UTC
Created attachment 127980 [details]
some spec fixes

Attached patch includes some fixes.

| checking GRDDL parser requirements... no - libxml2 and libxslt
| are both not available

It's missing "BuildRequires: libxslt-devel".

* BR curl libxml2 are redundant, because of BR curl-devel libxml2-devel

* ASL2? While the old Apache Software License 1.1 maybe was called ASL
by some people, better give the new "Apache Licence, Version 2.0" its
full name, so "Licence: LGPL or Apache License Version 2.0"
( http://www.opensource.org/licenses/apache2.0.php )

* No reason not to use the %configure macro.

* The following two are a major problem IMO:

$ raptor-config --libs
-L/usr/lib -lraptor -L/usr/kerberos/lib -lcurl -ldl -lgssapi_krb5 -lkrb5
-lk5crypto -lkrb5support -lcom_err -lresolv -lidn -lssl -lcrypto -lz -L/usr/lib
-lxml2 -lz -lm -L/usr/lib -lxslt -lxml2 -lz -lm

$ pkg-config --libs raptor
-L/usr/kerberos/lib -lraptor -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto
-lkrb5support -lcom_err -lresolv -lidn -lssl -lcrypto -lxslt -lxml2 -lz -lm  

The results of both commands imply that you need much more than just
"Requires: libxml2-devel" inside the raptor-devel package. Else linking
against libraptor would fail, and developers/packagers would need to add
the missing -devel package dependencies manually. Painful.

Comment 2 Anthony Green 2006-04-19 17:37:03 UTC
(In reply to comment #1)
> Created an attachment (id=127980) [edit]
> some spec fixes

Thanks Micheal.  I'll try to post new bits tomorrow with your changes and more.


Comment 3 Anthony Green 2006-04-23 11:34:17 UTC
Here are the updated bits, including Michael's spec file patch and additional
changes to address his other concerns...

Spec URL: http://people.redhat.com/green/FE/FC5/raptor.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/raptor-1.4.8-3.src.rpm

Comment 4 Michael Schwendt 2006-04-23 20:50:23 UTC
Created attachment 128132 [details]
patch against raptor-1.4.8

I believe this patch to be the clean fix when linking dynamically.

Without it, the pkgconfig file creates RPM dependency hell.

With this patch applied, liblrdf really needs only
"BuildRequires: pkgconfig raptor-devel ladspa-devel" and not
openssl-devel curl2-devel glib2-devel zlib-devel e2fsprogs-devel
krb5-devel (and raptor-devel doesn't need them anymore either).

Comment 5 Anthony Green 2006-04-24 11:08:33 UTC
(In reply to comment #4)
> Created an attachment (id=128132) [edit]
> patch against raptor-1.4.8
> 
> I believe this patch to be the clean fix when linking dynamically.

Thanks.  Updated bits here:

Spec URL: http://people.redhat.com/green/FE/FC5/raptor.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/raptor-1.4.8-4.src.rpm

I've updated liblrdf based on this as well.


Comment 6 Michael Schwendt 2006-04-26 22:26:47 UTC
Created attachment 128276 [details]
a patch for raptor-config

I've started taking a first look at the other pending packages
(jack, ardour,...), but here more rpm dependency hell is left:

/usr/bin/raptor-config also includes lots of linker commands
in its --libs option, which create unnecessary dependencies on
many -devel packages. It would benefit from a patch just as done
with the pkg-config file (see attachment).

Then, package raptor-devel does not depend on all these -devel
packages anymore when linking dynamically, and you can do the
following to get rid of all the packages you don't depend on
directly:

--- raptor.spec.orig	2006-04-24 13:12:03.000000000 +0200
+++ raptor.spec 2006-04-27 00:31:30.000000000 +0200
@@ -19,8 +19,6 @@
 Summary: Libraries, includes etc to develop with Raptor RDF parser library
 Group: Development/Libraries
 Requires: %{name} = %{version}-%{release}
-Requires: libxml2-devel, curl-devel, krb5-devel, libidn-devel, openssl-devel
-Requires: zlib-devel, libxslt-devel, e2fsprogs-devel
 
 %description devel
 Libraries, includes etc to develop with Raptor RDF parser library.

Comment 7 Michael Schwendt 2006-04-26 22:29:33 UTC
And after these changes (which you can apply in CVS) I have no
further comments, as the package looks clean then and liblrdf built
fine with it, too.

APPROVED


Comment 8 Anthony Green 2006-04-27 14:44:37 UTC
(In reply to comment #7)
> APPROVED

Thanks!




Comment 9 Lubomir Kundrak 2008-04-11 21:14:52 UTC
I'd be very thankful if you could request and maintain a EPEL-5 branch for this
package. In case you don't want or can't do that, let me know and I'll do that.

Thanks!

Comment 10 Lubomir Kundrak 2008-04-14 17:10:51 UTC
Maintainer is OK with the change as per previous conversation with him.

Package Change Request
======================
Package Name: raptor
New Branches: EL-5
Owners for new branch: green,lkundrak
cvsextras commits for new branch: yes

Comment 11 Kevin Fenzi 2008-04-14 19:34:59 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.